import request from "@/util/oaRequest"

// 查询项目排产列表
export function listReportSchedule(query) {
  return request({
    url: '/oa/reportSchedule/list',
    method: 'get',
    params: query
  })
}

// 查询项目排产详细
export function getReportSchedule(scheduleId) {
  return request({
    url: '/oa/reportSchedule/' + scheduleId,
    method: 'get'
  })
}

// 新增项目排产
export function addReportSchedule(data) {
  return request({
    url: '/oa/reportSchedule',
    method: 'post',
    data: data
  })
}

// 修改项目排产
export function updateReportSchedule(data) {
  return request({
    url: '/oa/reportSchedule',
    method: 'put',
    data: data
  })
}

// 删除项目排产
export function delReportSchedule(scheduleId) {
  return request({
    url: '/oa/reportSchedule/' + scheduleId,
    method: 'delete'
  })
}
